Validate Name Change
Request
Method: POST
URL: https://{{environment}}.ridx.io/dvs/v1/nameChange
Headers
| Header | Value |
|---|---|
token |
{{access_token}} |
Content-Type |
application/json |
Request Body
| Property | Type | Description |
|---|---|---|
BirthDate |
String | Birth date of person, format: YYYY-MM-DD |
RegistrationNumber |
String | Required when available on documents only for the following states: - NSW - up to 7 characters/digits - WA - exactly 7 characters/digits - ACT, SA, NT, VIC - up to 10 characters/digits - TAS - up to 6 characters/digits |
RegistrationDate |
String | Required when available on documents, only for QLD, format: YYYY-MM-DD |
RegistrationYear |
String | Required when available on documents, only for VIC, format: YYYY |
CertificateNumber |
String | Required when available on NSW, WA, ACT, SA, NT, TAS, QLD documents only for the following states: - NSW - up to 11 characters/digits - WA, TAS - exactly 11 characters/digits - QLD - exactly 10 characters/digits - ACT, SA - up to 9 characters/digits - NT - up to 6 characters/digits |
GivenName |
String | Persons original given name, max 60 characters |
FamilyName |
String | Persons original last name, max 50 characters |
GivenName2 |
String | Persons changed given name, max 60 characters |
FamilyName2 |
String | Persons changed last name, max 50 characters |
Important Response Data
| Property | Type | Description |
|---|---|---|
VerifyDocumentResult |
Object | The object containing the reply |
VerificationResultCode |
String | A value of Y (Yes), N (No), D (Document Error), S (Server Error) |
VerificationRequestNumber |
String | A receipt number of the request created by RapidID |
OriginatingAgencyCode |
String | A code representing the customers unique identifier code |
ActivityId |
String | A activity process id |
attributes |
Object | An object containing the description on the response |
i:type |
String | A description on the request response |
Errors |
Object | This object is returned only when VerificationResultCode value is N (No).This object provides greater insight into why the request did not match the data held by the issuer |
Error |
Object | This object contains fields such as Field, Message and Source with a description on the error response |
Example Requests
Example Responses
Status: 200 OK
{
"VerifyDocumentResult": {
"attributes": {
"i:type": "ChangeOfNameCertificateResponse"
},
"ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"OriginatingAgencyCode": "XXXX",
"VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"VerificationResultCode": "Y"
},
"fieldDetails": {
"BirthDate": "Full Match",
"BirthDay": "Full Match",
"BirthMonth": "Full Match",
"BirthYear": "Full Match",
"GivenName": "Full Match",
"FamilyName": "Full Match",
"RegistrationNumber": "Full Match",
"RegistrationDay": "Full Match",
"RegistrationMonth": "Full Match",
"RegistrationYear": "Full Match",
"RegistrationDate": "Full Match",
"CertificateNumber": "Full Match",
"RegistrationState": "Full Match"
},
"rapidID": "check-id"
}
Status: 200 OK
{
"VerifyDocumentResult": {
"attributes": {
"i:type": "ChangeOfNameCertificateResponse"
},
"ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"OriginatingAgencyCode": "XXXX",
"VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"VerificationResultCode": "N"
},
"fieldDetails": {
"BirthDate": "No Match",
"BirthDay": "No Match",
"BirthMonth": "No Match",
"BirthYear": "No Match",
"GivenName": "No Match",
"FamilyName": "No Match",
"RegistrationNumber": "No Match",
"RegistrationDay": "No Match",
"RegistrationMonth": "No Match",
"RegistrationYear": "No Match",
"RegistrationDate": "No Match",
"CertificateNumber": "No Match",
"RegistrationState": "No Match"
},
"rapidID": "check-id"
}
Status: 200 OK
{
"VerifyDocumentResult": {
"attributes": {
"i:type": "ChangeOfNameCertificateResponse"
},
"ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"OriginatingAgencyCode": "XXXX",
"VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"VerificationResultCode": "D"
},
"fieldDetails": {
"BirthDate": "No Match",
"BirthDay": "No Match",
"BirthMonth": "No Match",
"BirthYear": "No Match",
"GivenName": "No Match",
"FamilyName": "No Match",
"RegistrationNumber": "No Match",
"RegistrationDay": "No Match",
"RegistrationMonth": "No Match",
"RegistrationYear": "No Match",
"RegistrationDate": "No Match",
"CertificateNumber": "No Match",
"RegistrationState": "No Match"
},
"rapidID": "check-id"
}
Status: 200 OK
{
"VerifyDocumentResult": {
"attributes": {
"i:type": "ChangeOfNameCertificateResponse"
},
"ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"OriginatingAgencyCode": "XXXX",
"VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"VerificationResultCode": "S"
},
"fieldDetails": {
"BirthDate": "No Match",
"BirthDay": "No Match",
"BirthMonth": "No Match",
"BirthYear": "No Match",
"GivenName": "No Match",
"FamilyName": "No Match",
"RegistrationNumber": "No Match",
"RegistrationDay": "No Match",
"RegistrationMonth": "No Match",
"RegistrationYear": "No Match",
"RegistrationDate": "No Match",
"CertificateNumber": "No Match",
"RegistrationState": "No Match"
},
"rapidID": "check-id"
}
Status: 400 Bad Request
Status: 200 OK
{
"VerifyDocumentResult": {
"attributes": {
"i:type": "NameChangeResponse"
},
"ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"OriginatingAgencyCode": "XXXX",
"VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"VerificationResultCode": "N",
"Errors": {
"Error": {
"Field": "RegistrationNumber",
"Message": "Registration number does not match.",
"Source": "Issuer"
}
}
},
"fieldDetails": {
"BirthDate": "No Match",
"BirthDay": "No Match",
"BirthMonth": "No Match",
"BirthYear": "No Match",
"GivenName": "No Match",
"FamilyName": "No Match",
"RegistrationNumber": "No Match",
"RegistrationDay": "No Match",
"RegistrationMonth": "No Match",
"RegistrationYear": "No Match",
"RegistrationDate": "No Match",
"CertificateNumber": "No Match",
"RegistrationState": "No Match"
},
"rapidID": "check-id"
}